<template>
  <v-app id="HelloWorld">
    <v-navigation-drawer
      v-model="primaryDrawer.model"
      :temporary="primaryDrawer.type === 'temporary'"
      app
      overflow
    >

    <template v-slot:prepend>
        <v-list-item two-line>
          <v-list-item-avatar>
            <img src="https://founderscpa.com/wp-content/uploads/2016/07/no-image.gif">
          </v-list-item-avatar>

          <v-list-item-content>
            <v-list-item-title>{{ user.title }}</v-list-item-title>
            <v-list-item-subtitle>{{ user.state }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </template>

      <v-divider></v-divider>
    
      <v-list>
        <v-card>
        <v-list-item
          v-for="item in items"
          :key="item.title"
          link
        >
          
          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
      
        </v-list-item>
        </v-card>
      </v-list>

      <template v-slot:append>
        <v-col cols="12">
          <v-switch
            v-model="$vuetify.theme.dark"
            primary
            label="Dark theme"
          ></v-switch>
        </v-col>
        <div class="pa-2">
          <v-btn block>Logout</v-btn>
        </div>
      </template>
      
    </v-navigation-drawer>

    <v-app-bar
      :clipped-left="primaryDrawer.clipped"
      app
    >
      <v-app-bar-nav-icon
        v-if="primaryDrawer.type !== 'permanent'"
        @click.stop="primaryDrawer.model = !primaryDrawer.model"
      ></v-app-bar-nav-icon>
      <v-toolbar-title>Student&cov</v-toolbar-title>
    </v-app-bar>

    <v-main>
      <v-container fluid>
        <v-row
          align="center"
          justify="center"
        >
          <v-col cols="11">
            <v-card>
              <v-card-text
                align="center"
                justify="center"
                
              >
                <span>Hello World</span>
              </v-card-text>
            </v-card>
          </v-col>
        </v-row>
      </v-container>
    </v-main>

    

    <v-footer
      :inset="footer.inset"
      app
    >
      <v-bottom-navigation
      absolute
      color="primary"
      horizontal
    >
      <v-btn>
        <span>Recents</span>
        <v-icon>mdi-history</v-icon>
      </v-btn>

      <v-btn>
        <span>Favorites</span>
        <v-icon>mdi-heart</v-icon>
      </v-btn>

      <v-btn>
        <span>Nearby</span>
        <v-icon>mdi-map-marker</v-icon>
      </v-btn>
    </v-bottom-navigation>
    </v-footer>

    


  </v-app>
</template>

<script>
  export default {
    data: () => ({
      drawers: ['temporary'],
      primaryDrawer: {
        model: null,
        type: 'temporary',
      },
      items: [
          { title: 'Search'},
          { title: 'Something'},
          { title: 'Parameter'},
          { title: 'Profil'},
        ],
      user:{
        image: "https://founderscpa.com/wp-content/uploads/2016/07/no-image.gif",
        state: "Logged in",
        title: "Anno",
      },
      footer: {
        inset: false,
      },
    }),
  }
</script>
